import { scaleOrdinal } from 'd3';

const colorScale = scaleOrdinal()
	.domain(['apple', 'lemon'])
	.range(['#c11d1d','#eae600']);

const radiusScale = scaleOrdinal()
	.domain(['apple', 'lemon'])
	.range([60, 40]);

export const fruitBowl = (selection, props) => {
  
  const {fruits, height, width} = props;
  
  const bowl = selection.selectAll('rect').data([null])
  	.enter().append('rect')
  		.attr('y', 110)
  		.attr('width', 840)
  		.attr('height', 300)
  		.attr('rx', 300/2);
  		
  
  const xPosition = (d,i) => i * 180 + 60;
  const groups = selection.selectAll('g').data(fruits);
   
  const groupsEnter = groups.enter().append('g');
			
  groupsEnter
    .merge(groups) //Calling merge on enter returns enter and update selections
  		.attr('transform', (d,i) =>
      	`translate(${i*180+60},${height/2})`
			);
  
  groups.exit()
    .remove();
  
	groupsEnter
  	.append('circle')
  	.merge(groups.select('circle')) //Calling merge on enter returns enter and update selections
			.attr('fill', d => colorScale(d.type))
  		.attr('r', d => radiusScale(d.type));
  
  groupsEnter
  	.append('text')
  	.merge(groups.select('text')) //Calling merge on enter returns enter and update selections
			.text(d => d.type)
  		.attr('y', 120);
};
