import { select, range } from 'd3';
import { fruitBowl } from './fruitBowl.js';

const svg=select('svg');
const height=parseFloat(svg.attr('height'));
const width=parseFloat(svg.attr('width'));

const render = () => {
  fruitBowl(svg, {
    fruits,
    height,
    width
  });
}

const makeFruit = type => ({
  type,
  id: Math.random()
});

let fruits = range(5)
	.map(() => makeFruit('apple'));

console.log(fruits);

render();

//Eat an apple
setTimeout(()=>{
	fruits.pop();
  render();
}, 1000);

//Replacing an apple with a lemon
setTimeout(()=>{
 	fruits[2].type = 'lemon';
  render();
}, 2000);

//Eat another apple
setTimeout(()=>{
 	fruits = fruits.filter((d,i) => i!== 1);
  render();
}, 3000);

